package function_api_controllers

import (
	"github.com/astaxie/beego"
	"fmt"
)

func FunctionAPIControllersRegisterRouters() {
	fmt.Println("开始吧")
	beego.Router("/api/function/gettodayinfo",&FunctionBaseAPIController{},"Get:GetTodayInfo")
	beego.Router("/api/function/getyestodayinfo",&FunctionBaseAPIController{},"Get:GetYestodayInfo")
	beego.Router("/api/function/getweekinfo",&FunctionBaseAPIController{},"Get:GetWeekInfo")
	beego.Router("/api/function/getmonthinfo",&FunctionBaseAPIController{},"Get:GetMonthInfo")
	beego.Router("/api/function/getthreemonthinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthInfo")
	beego.Router("/admin/function/gethalfyearinfo",&FunctionBaseAPIController{},"Get:GetHalfYearInfo")
	beego.Router("/admin/function/getyearinfo",&FunctionBaseAPIController{},"Get:GetYearInfo")
	beego.Router("/admin/function/gettodaydialysisinfo",&FunctionBaseAPIController{},"Get:GetTodayDialysisInfo")
	beego.Router("/api/function/getYesterdayDialysisinfo",&FunctionBaseAPIController{},"Get:GetYesterTodayDialysisInfo")
	beego.Router("/api/function/getweekdialysisinfo",&FunctionBaseAPIController{},"Get:GetWeekDialysisinfo")
	beego.Router("/api/function/getmonthdailysisinfo",&FunctionBaseAPIController{},"Get:GetMonthDailysisInfo")
	beego.Router("/api/function/getthreedialysisinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthDailysisInfo")
	beego.Router("/api/function/gethalfyeardialysisinfo",&FunctionBaseAPIController{},"Get:GetHalfYearDailysisInfo")
	beego.Router("/api/function/getyeardialysisinfo",&FunctionBaseAPIController{},"Get:GetYearDailysisInfo")
	beego.Router("/api/function/gettodayreceiveinfo",&FunctionBaseAPIController{},"Get:GetReceiveinfo")
	beego.Router("/api/function/getyesterdayinfo",&FunctionBaseAPIController{},"Get:GetYesTodayReceiveinfo")
	beego.Router("/api/function/getweekreceiveinfo",&FunctionBaseAPIController{},"Get:GetWeekReceiveinfo")
	beego.Router("/api/function/getMonthreceiveinfo",&FunctionBaseAPIController{},"Get:GetMonthReceiveinfo")
	beego.Router("/api/function/getMonthreereceiveinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthReceiveinfo")
	beego.Router("/api/function/getMonhalfyearreceiveinfo",&FunctionBaseAPIController{},"Get:GetHalfYearReceiveinfo")
	beego.Router("/api/function/getMonyearreceiveinfo",&FunctionBaseAPIController{},"Get:GetYearReceiveinfo")
	beego.Router("/api/function/getBeforDislysis",&FunctionBaseAPIController{},"Get:GetTodayBeforDislysisInfo")
	beego.Router("/api/function/getyesterdayBeforDislysis",&FunctionBaseAPIController{},"Get:GetYesterTodayBeforDislysisInfo")
	beego.Router("/api/function/getmonthBeforDislysis",&FunctionBaseAPIController{},"Get:GetMonthBeforDislysisInfo")
	beego.Router("/api/function/getweekBeforDislysis",&FunctionBaseAPIController{},"Get:GetWeekBeforDislysisInfo")
	beego.Router("/api/function/getThreeMonthBeforDislysis",&FunctionBaseAPIController{},"Get:GetThreeMonthBeforDislysisInfo")
	beego.Router("/api/function/getHalfYearBeforDislysis",&FunctionBaseAPIController{},"Get:GetHalfYearBeforDislysisInfo")
	beego.Router("/api/function/getYearbefordialysisinfo",&FunctionBaseAPIController{},"Get:GetYearBeforDislysisInfo")
	beego.Router("/api/function/gettodayDoctorsOrderInfo",&FunctionBaseAPIController{},"Get:GetTodayDoctorsOrderInfo")
	beego.Router("/api/function/getyearstodayDoctorOrder",&FunctionBaseAPIController{},"Get:GetYesterDayDoctorsOrderInfo")
	beego.Router("/api/function/getWeekDoctorOrder",&FunctionBaseAPIController{},"Get:GetWeekDoctorOrder")
	beego.Router("/api/function/getMonthDoctorOrder",&FunctionBaseAPIController{},"Get:GetMonthDoctorOrder")
	beego.Router("/api/function/getThreeMonthDoctorOrder",&FunctionBaseAPIController{},"Get:GetThreeMonthDoctorOrder")
	beego.Router("/api/function/getHalfYearDoctorOrder",&FunctionBaseAPIController{},"Get:GetHalfYearDoctorOrder")
	beego.Router("/api/function/getYearDoctorOrder",&FunctionBaseAPIController{},"Get:GetYearDoctorOrder")
	beego.Router("/api/function/getTodayDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetTodayDoubleCheckInfo")
	beego.Router("/api/function/getYesTodayDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetYesTodayDoubleCheckInfo")
	beego.Router("/api/function/getweekDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetWeekDoubleCheckInfo")
	beego.Router("/api/function/getMonthDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetMonthDoubleCheckInfo")
	beego.Router("/api/function/getThreeMonthDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetThreeMonthDoubleCheckInfo")
	beego.Router("/api/function/getHalfYearDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetHalfYearDoubleCheckInfo")
	beego.Router("/api/function/getyeardoublecheck",&FunctionBaseAPIController{},"Get:GetYearDoubleCheckInfo")
	beego.Router("/api/function/getDialysisMachinek",&FunctionBaseAPIController{},"Get:GetTodayDialysisMachinek")

}
